Bug 680155 - Memory leak in XML parser when reload config operation done
Summary: Memory leak in XML parser when reload config operation done
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cluster
Version: 6.1
Hardware: All
OS: All
urgent
urgent
Target Milestone: rc
: ---
Assignee: Fabio Massimo Di Nitto
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 677975
Blocks: 681027
TreeView+ depends on / blocked
 
Reported: 2011-02-24 14:03 UTC by Fabio Massimo Di Nitto
Modified: 2011-05-19 12:54 UTC (History)
12 users (show)

Fixed In Version: cluster-3.0.12-35.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 677975
Environment:
Last Closed: 2011-05-19 12:54:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0537 normal SHIPPED_LIVE cluster and gfs2-utils bug fix update 2011-05-18 17:57:40 UTC

Comment 4 Fabio Massimo Di Nitto 2011-02-28 17:21:47 UTC
Engineering requesting 6.0.Z

Comment 6 Jaroslav Kortus 2011-03-03 18:02:04 UTC
Verified with 
cman-3.0.12-35.el6.x86_64

2 node cluster, start up cluster (no ricci), increase version on one node and
restart it, 2nd one begins the loop. Without the patch the memory footprint
(RSS) increases by about 1M per minute. With the patch there was no increase
for about 20 minutes of looping.

ref to bug 677975

Comment 7 errata-xmlrpc 2011-05-19 12:54:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0537.html


Note You need to log in before you can comment on or make changes to this bug.